commit 6183823fce3352c18f3229c0790ed127f30fb887
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 16 00:17:05 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 2a18843cd39..d464e3b5364 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,14 @@
+2020-10-15  Martin Liska  <mliska@suse.cz>
+
+	Backported from master:
+	2020-10-15  Martin Liska  <mliska@suse.cz>
+
+	PR ipa/97295
+	* profile-count.c (profile_count::to_frequency): Move part of
+	gcc_assert to STATIC_ASSERT.
+	* regs.h (REG_FREQ_FROM_BB): Do not use count.to_frequency for
+	a function that does not have count_max initialized.
+
 2020-10-13  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
 
 	* config/aarch64/aarch64.c (neoversen2_tunings): Define.
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 630766919da..90be3bdbe8f 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20201015
+20201016
diff --git a/libphobos/ChangeLog b/libphobos/ChangeLog
index bf6eefd3bd1..486c1598c80 100644
--- a/libphobos/ChangeLog
+++ b/libphobos/ChangeLog
@@ -1,3 +1,12 @@
+2020-10-15  Maciej W. Rozycki  <macro@linux-mips.org>
+
+	Backported from master:
+	2020-10-12  Maciej W. Rozycki  <macro@linux-mips.org>
+
+	* libdruntime/config/mips/switchcontext.S [__mips_hard_float]:
+	Use L.D and S.D generic assembly instructions rather than LDC1
+	and SDC1 MIPS II hardware instructions.
+
 2020-07-23  Release Manager
 
 	* GCC 10.2.0 released.
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index d3b8807a8d6..a0536931122 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,17 @@
+2020-10-15  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-10-15  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/std/concepts: Fix typos in copyright notice.
+	* include/std/ranges: Likewise.
+
+2020-10-15  Jonathan Wakely  <jwakely@redhat.com>
+
+	* doc/xml/manual/status_cxx2020.xml: Remove red background for
+	completed feature.
+	* doc/html/manual/status.html: Regenerate.
+
 2020-10-13  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

